#procedure aitalcnotation(width)

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** To have the output directly to plug in Topfit Fortran code
** Begun on 16/12/03,

** The tensor definitions
id T0(1)*Targ(?a)=A0(?a);
al T0(2)*Targ(?a)=B0(?a);
al T0(3)*Targ(?a)=C0i(cc0,?a);
al T0(4)*Targ(?a)=D0i(dd0,?a);

al T1(2,1)*Targ(?a)=B1(?a);
al T2(2,0,0)*Targ(?a)=B00(?a);
al T2(2,1,1)*Targ(?a)=B11(?a);

al T2(3,0,0)*Targ(?a)=C0i(cc00,?a);
al T2(4,0,0)*Targ(?a)=D0i(dd00,?a);
#do i=1,4
 al T1(3,`i')*Targ(?a)=C0i(cc`i',?a);
 al T1(4,`i')*Targ(?a)=D0i(dd`i',?a);
 al T1(5,`i')*Targ(?a)=E0i(ee`i',?a);
 #do j=1,4
  al T2(3,`i',`j')*Targ(?a)=C0i(cc`i'`j',?a);
  al T2(4,`i',`j')*Targ(?a)=D0i(dd`i'`j',?a);
  al T2(5,`i',`j')*Targ(?a)=E0i(ee`i'`j',?a);
  #do k=1,4
   al T2(4,`i',`j',`k')*Targ(?a)=D0i(dd`i'`j'`k',?a);
   al T2(5,`i',`j',`k')*Targ(?a)=E0i(ee`i'`j'`k',?a); 
   #do l=1,4
    al T2(5,`i',`j',`k',`l')*Targ(?a)=E0i(ee`i'`j'`k'`l',?a);  
   #enddo 
  #enddo
 #enddo
** And Inverse Gram determinants
id IGram(`i',?a)=IGram`i'(?a);
#enddo

** Derivatives
id DT0(2)*Targ(?a)=DB0(?a);
al DT1(2,1)*Targ(?a)=DB1(?a);
al DT2(2,0,0)*Targ(?a)=DB00(?a);
al DT2(2,1,1)*Targ(?a)=DB11(?a);

** CKM matrix elements:

id CKM?(u,d)=CKM(1,1);
al CKM?(u,s)=CKM(1,2);
al CKM?(u,b)=CKM(1,3);

al CKM?(c,d)=CKM(2,1);
al CKM?(c,s)=CKM(2,2);
al CKM?(c,b)=CKM(2,3);

al CKM?(t,d)=CKM(3,1);
al CKM?(t,s)=CKM(3,2);
al CKM?(t,b)=CKM(3,3);

.sort
** Allowing width computation

#if `width' == 0
#elseif `width' == 1
 #do Z={Z,W,H}
  id den(a?,MM`Z')^2=wfac2*cden(a,cMM`Z')^2;
  #do A={A,Z,W,H}
   id den(a?,MM`Z')*den(a?,MM`A')=wfac1*cden(a,cMM`Z')*cden(a,cMM`A');
  #enddo
  id den(a?,MM`Z')=cden(a,cMM`Z');
** For the infrared behaviour at the peak(s), we recompute integrals
   if (match(D0i?{D0i,C0i,B0}(?a,MMA,?b,MM`Z',?c)) || match(D0i?{D0i,C0i,B0}(?a,MM`Z',?b,MMA,?c)) );
*    id B0(?a,MM`Z',?c) =B0w(?a,cMM`Z',?c);
    id C0i(?a)=C0w(?a);
    al D0i(?a)=D0w(?a);
    #do part={A,W,Z,H,G0,Gm,le,lm,lt,ne,nm,nt,u,c,t,d,s,b}
     id C0w(c1?,a1?,a2?,a3?,?b1,MM`part',?b2)=C0w(c1,a1,a2,a3,?b1,cMM`part',?b2);
     al D0w(c1?,a1?,a2?,a3?,a4?,a5?,a6?,?b1,MM`part',?b2)=D0w(c1,a1,a2,a3,a4,a5,a6,?b1,cMM`part',?b2);
    #enddo
   endif;
 #enddo
*  id MMZ=cMZ2;
*  id MMH=cMH2;
#else
  #message [topfitnotation: variable width not input]
#endif




** Renormalization constant, with the same notation than Hahn
#do model={,QED}

id dct`model'(fV(ZNe,Zne))= d`model'ZfV(1,1);
al dct`model'(fV(ZNm,Znm))= d`model'ZfV(1,2);
al dct`model'(fV(ZNt,Znt))= d`model'ZfV(1,3);
al dct`model'(fV(ZLe,Zle))= d`model'ZfV(2,1);
al dct`model'(fV(ZLm,Zlm))= d`model'ZfV(2,2);
al dct`model'(fV(ZLt,Zlt))= d`model'ZfV(2,3);
al dct`model'(fV(ZU,Zu))=   d`model'ZfV(3,1);
al dct`model'(fV(ZC,Zc))=   d`model'ZfV(3,2);
al dct`model'(fV(ZT,Zt))=   d`model'ZfV(3,3);
al dct`model'(fV(ZD,Zd))=   d`model'ZfV(4,1);
al dct`model'(fV(ZS,Zs))=   d`model'ZfV(4,2);
al dct`model'(fV(ZB,Zb))=   d`model'ZfV(4,3);

id dct`model'(fA(ZNe,Zne))= d`model'ZfA(1,1);
al dct`model'(fA(ZNm,Znm))= d`model'ZfA(1,2);
al dct`model'(fA(ZNt,Znt))= d`model'ZfA(1,3);
al dct`model'(fA(ZLe,Zle))= d`model'ZfA(2,1);
al dct`model'(fA(ZLm,Zlm))= d`model'ZfA(2,2);
al dct`model'(fA(ZLt,Zlt))= d`model'ZfA(2,3);
al dct`model'(fA(ZU,Zu))=   d`model'ZfA(3,1);
al dct`model'(fA(ZC,Zc))=   d`model'ZfA(3,2);
al dct`model'(fA(ZT,Zt))=   d`model'ZfA(3,3);
al dct`model'(fA(ZD,Zd))=   d`model'ZfA(4,1);
al dct`model'(fA(ZS,Zs))=   d`model'ZfA(4,2);
al dct`model'(fA(ZB,Zb))=   d`model'ZfA(4,3);


#do part={Z,W,H}
 id dct`model'(MM`part')=d`model'MM`part';
 id dct`model'(M`part'^2)=d`model'MM`part';
 id dct`model'(M`part')= 1/2*d`model'MM`part'/M`part';
#enddo

id dct`model'(Mne)=d`model'Mf(1,1);
al dct`model'(Mnm)=d`model'Mf(1,2);
al dct`model'(Mnt)=d`model'Mf(1,3);
al dct`model'(Mle)=d`model'Mf(2,1);
al dct`model'(Mlm)=d`model'Mf(2,2);
al dct`model'(Mlt)=d`model'Mf(2,3);
al dct`model'(Mu)= d`model'Mf(3,1);
al dct`model'(Mc)= d`model'Mf(3,2);
al dct`model'(Mt)= d`model'Mf(3,3);
al dct`model'(Md)= d`model'Mf(4,1);
al dct`model'(Ms)= d`model'Mf(4,2);
al dct`model'(Mb)= d`model'Mf(4,3);

id dct`model'(Ze)=d`model'Ze;

id dct(sw)=dsw;
id dct(tad)=dtad;

id dct`model'(AA)=d`model'ZAA;
id dct`model'(AZ)=d`model'ZAZ;
id dct`model'(ZA)=d`model'ZZA;
id dct`model'(ZZ)=d`model'ZZZ;
id dct`model'(ZH)=d`model'ZH;
id dct`model'(ZW)=d`model'ZW;
id dct`model'(ZG0)=d`model'ZG0;
id dct`model'(ZGm)=d`model'ZGW;
#do no=1,2
  #do part={A,Z,AZ,W}
    id dct`model'(Xi`no'`part')=d`model'Xi`no'`part';
  #enddo
#enddo

#enddo
** Some other variables

id i_*e=im*e;

#endprocedure
*$Id: aitalcnotation.prc,v 1.14 2004/10/29 13:07:26 alorca Exp $
